summaryrefslogtreecommitdiffstats
path: root/application/palemoon/confvars.sh
diff options
context:
space:
mode:
Diffstat (limited to 'application/palemoon/confvars.sh')
-rw-r--r--application/palemoon/confvars.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/application/palemoon/confvars.sh b/application/palemoon/confvars.sh
index d1d2ce065..fbd412eb5 100644
--- a/application/palemoon/confvars.sh
+++ b/application/palemoon/confvars.sh
@@ -98,9 +98,11 @@ if test "$OS_ARCH" = "WINNT" -o \
MOZ_BUNDLED_FONTS=1
fi
-# Display an error on non-SSE2 Linux systems
-if test "$OS_ARCH" = "Linux"; then
- MOZ_LINUX_SSE2_STARTUP_ERROR=1
+# Display an error on non-SSE2 32-bit Linux systems
+if ! test "$HAVE_64BIT_BUILD"; then
+ if test "$OS_ARCH" = "Linux"; then
+ MOZ_LINUX_SSE2_STARTUP_ERROR=1
+ fi
fi
# Short-circuit a few services to be removed